-- #102
CREATE TABLE shippinglabelups (
     shippinglabelupsid   integer  not null
,    servicetypeid        integer  null
,    packagingtypeid      integer  null
,    addressvalidation    integer  null
,    deliveryconfirmation bool  not null
,    adultconfirmation    bool  not null
,    upscarbonneutral     bool  not null
,    saturdaydelivery     bool  not null
,    shipmentchargetype   integer  null
,    packagedescription   varchar(35)  null

,   constraint pk_shippinglabelupsid            primary key (shippinglabelupsid)
,   constraint fk_shippinglabelups_shippinglabelupsid foreign key (shippinglabelupsid)
        references shippinglabel                    (shippinglabelid)
,   constraint fk_shippinglabelups_servicetypeid foreign key (servicetypeid)
        references shippingfulfillmentproduct       (shippingfulfillmentproductid)
,   constraint fk_shippinglabelups_packagingtypeid foreign key (packagingtypeid)
        references shippingfulfillmentproduct       (shippingfulfillmentproductid)
)
GO
CREATE INDEX i_servicetypeid ON shippinglabelups (servicetypeid)
GO
CREATE INDEX i_packagingtypeid ON shippinglabelups (packagingtypeid)
GO
